Overview | Modules | Class Hierarchy | Classes | Members

# tlp::InteractorMagicSelection Class Reference

`#include <GlMainViewInteractor.h>`

Inherits tlp::NodeLinkDiagramComponentInteractor.

Inheritance diagram for tlp::InteractorMagicSelection:

[legend]
Collaboration diagram for tlp::InteractorMagicSelection:

[legend]
List of all members.

## Detailed Description

Tulip interactor to do a magic selection.

## Public Member Functions

- InteractorMagicSelection ()
- void construct ()

## Constructor & Destructor Documentation

tlp::InteractorMagicSelection::InteractorMagicSelection | ( |  | ) |

| Default constructor

## Member Function Documentation

void tlp::InteractorMagicSelection::construct | ( |  | ) | `[virtual]`

| Construct chain of responsibility Reimplemented from tlp::InteractorChainOfResponsibility.

Tulip Software by LaBRI Visualization Team 2001 - 2010